#!/sbin/itype
# This is a i file, used by initng parsed by install_service

# NAME: GPM
# DESCRIPTION: Console mouse driver
# WWW: http://linux.schottelius.org/gpm/

daemon daemon/gpm {
	need = system/bootmisc;
	env MOUSE=imps2;
	env MOUSEDEV=/dev/input/mice;
	env APPEND=;
	env_file = /etc/conf.d/gpm;
	exec daemon = /usr/sbin/gpm -m ${MOUSEDEV} -t ${MOUSE} ${APPEND};
	pid_file = /var/run/gpm.pid;
	forks;
}
