#!/sbin/itype
# This is a i file, used by initng parsed by install_service

# NAME: 
# DESCRIPTION: 
# WWW: 

service daemon/syslogd/prepare {
	need = system/bootmisc;
	script start = {
		if [ ! -e /dev/xconsole ]
		then
			mknod -m 640 /dev/xconsole p
		else
			chmod 0640 /dev/xconsole
		fi
		chown root:root /dev/xconsole	    
	};
}

daemon daemon/syslogd {
	provide = virtual/syslog;
	need = system/bootmisc;
	use = daemon/syslogd/prepare;
	exec daemon = /sbin/syslogd -n -m 0;
}
