#!/sbin/itype
# This is a i file, used by initng parsed by install_service

# NAME:
# DESCRIPTION:
# WWW:



service net/lo {
        need = system/bootmisc;
        provide = virtual/net/lo;
        use = system/modules system/coldplug;


        exec start = /sbin/ifup lo;
        exec stop = /sbin/ifdown lo;
}

service net/* {
        stdall = /dev/null;
        need = system/bootmisc;


        use = system/modules system/coldplug daemon/cardmgr;
        provide = virtual/net virtual/net/${NAME};

        script start = {
		# Put up the interface
                /sbin/ifup ${NAME}
		# Check so its up
                /usr/sbin/ifconfig ${NAME} | /bin/grep -qF "UP" || exit 1
                exit 0
	};
        script stop = {
                set -e
		# Shut down.
                /sbin/ifdown ${NAME}
		# Check so its down.
		# /usr/sbin/ifconfig ${NAME} | /bin/grep -qF "UP" && exit 1
                exit 0
	};
}
