#!/sbin/itype
# This is a i file, used by initng parsed by install_service

daemon daemon/exim/queuerunner {
	need = system/bootmisc virtual/net daemon/exim/updateconf;
	conflict = daemon/exim/combined;

	env COMMONOPTIONS="";
	env QUEUERUNNEROPTIONS="";
	env QFLAGS="";
	env SMTPLISTENEROPTIONS="";
	env QUEUEINTERVAL=30m;
	env QRPIDFILE=/var/run/exim4/eximqr.pid;


	exec daemon = /usr/sbin/exim4 -oP "${QRPIDFILE}" -q${QFLAGS}${QUEUEINTERVAL} ${COMMONOPTIONS} ${QUEUERUNNEROPTIONS};
	pid_file = ${QRPIDFILE};
	forks;
}
